### Hierarchy

- Node
- ParentNode
- NonDocumentTypeChildNode
- ChildNode
- Slotable
- Animatable
  - Element
    - HTMLElement
    - SVGElement

## Index

### Properties

- ATTRIBUTE_NODE
- CDATA_SECTION_NODE
- COMMENT_NODE
- DOCUMENT_FRAGMENT_NODE
- DOCUMENT_NODE
- DOCUMENT_POSITION_CONTAINED_BY
- DOCUMENT_POSITION_CONTAINS
- DOCUMENT_POSITION_DISCONNECTED
- DOCUMENT_POSITION_FOLLOWING
- DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
- DOCUMENT_POSITION_PRECEDING
- DOCUMENT_TYPE_NODE
- ELEMENT_NODE
- ENTITY_NODE
- ENTITY_REFERENCE_NODE
- NOTATION_NODE
- Node
- PROCESSING_INSTRUCTION_NODE
- TEXT_NODE
- assignedSlot
- attributes
- baseURI
- childElementCount
- childNodes
- children
- classList
- className
- clientHeight
- clientLeft
- clientTop
- clientWidth
- firstChild
- firstElementChild
- id
- innerHTML
- isConnected
- lastChild
- lastElementChild
- localName
- namespaceURI
- nextElementSibling
- nextSibling
- nodeName
- nodeType
- nodeValue
- onfullscreenchange
- onfullscreenerror
- outerHTML
- ownerDocument
- parentElement
- parentNode
- prefix
- previousElementSibling
- previousSibling
- scrollHeight
- scrollLeft
- scrollTop
- scrollWidth
- shadowRoot
- slot
- tagName
- textContent

### Methods

- addEventListener
- after
- animate
- append
- appendChild
- attachShadow
- before
- cloneNode
- closest
- compareDocumentPosition
- contains
- dispatchEvent
- getAnimations
- getAttribute
- getAttributeNS
- getAttributeNames
- getAttributeNode
- getAttributeNodeNS
- getBoundingClientRect
- getClientRects
- getElementsByClassName
- getElementsByTagName
- getElementsByTagNameNS
- getRootNode
- hasAttribute
- hasAttributeNS
- hasAttributes
- hasChildNodes
- hasPointerCapture
- insertAdjacentElement
- insertAdjacentHTML
- insertAdjacentText
- insertBefore
- isDefaultNamespace
- isEqualNode
- isSameNode
- lookupNamespaceURI
- lookupPrefix
- matches
- msGetRegionContent
- normalize
- prepend
- querySelector
- querySelectorAll
- releasePointerCapture
- remove
- removeAttribute
- removeAttributeNS
- removeAttributeNode
- removeChild
- removeEventListener
- replaceChild
- replaceWith
- requestFullscreen
- scroll
- scrollBy
- scrollIntoView
- scrollTo
- setAttribute
- setAttributeNS
- setAttributeNode
- setAttributeNodeNS
- setPointerCapture
- toggleAttribute
- webkitMatchesSelector

## Properties

### ATTRIBUTE_NODE

ATTRIBUTE_NODE: number

Inherited from Node.ATTRIBUTE_NODE

Overrides Node.ATTRIBUTE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10484

### CDATA_SECTION_NODE

CDATA_SECTION_NODE: number

Inherited from Node.CDATA_SECTION_NODE

Overrides Node.CDATA_SECTION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10485

### COMMENT_NODE

COMMENT_NODE: number

Inherited from Node.COMMENT_NODE

Overrides Node.COMMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10486

### DOCUMENT_FRAGMENT_NODE

DOCUMENT_FRAGMENT_NODE: number

Inherited from Node.DOCUMENT_FRAGMENT_NODE

Overrides Node.DOCUMENT_FRAGMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10487

### DOCUMENT_NODE

DOCUMENT_NODE: number

Inherited from Node.DOCUMENT_NODE

Overrides Node.DOCUMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10488

### DOCUMENT_POSITION_CONTAINED_BY

DOCUMENT_POSITION_CONTAINED_BY: number

Inherited from Node.DOCUMENT_POSITION_CONTAINED_BY

Overrides Node.DOCUMENT_POSITION_CONTAINED_BY

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10489

### DOCUMENT_POSITION_CONTAINS

DOCUMENT_POSITION_CONTAINS: number

Inherited from Node.DOCUMENT_POSITION_CONTAINS

Overrides Node.DOCUMENT_POSITION_CONTAINS

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10490

### DOCUMENT_POSITION_DISCONNECTED

DOCUMENT_POSITION_DISCONNECTED: number

Inherited from Node.DOCUMENT_POSITION_DISCONNECTED

Overrides Node.DOCUMENT_POSITION_DISCONNECTED

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10491

### DOCUMENT_POSITION_FOLLOWING

DOCUMENT_POSITION_FOLLOWING: number

Inherited from Node.DOCUMENT_POSITION_FOLLOWING

Overrides Node.DOCUMENT_POSITION_FOLLOWING

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10492

### DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number

Inherited from Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

Overrides Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10493

### DOCUMENT_POSITION_PRECEDING

DOCUMENT_POSITION_PRECEDING: number

Inherited from Node.DOCUMENT_POSITION_PRECEDING

Overrides Node.DOCUMENT_POSITION_PRECEDING

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10494

### DOCUMENT_TYPE_NODE

DOCUMENT_TYPE_NODE: number

Inherited from Node.DOCUMENT_TYPE_NODE

Overrides Node.DOCUMENT_TYPE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10495

### ELEMENT_NODE

ELEMENT_NODE: number

Inherited from Node.ELEMENT_NODE

Overrides Node.ELEMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10496

### ENTITY_NODE

ENTITY_NODE: number

Inherited from Node.ENTITY_NODE

Overrides Node.ENTITY_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10497

### ENTITY_REFERENCE_NODE

ENTITY_REFERENCE_NODE: number

Inherited from Node.ENTITY_REFERENCE_NODE

Overrides Node.ENTITY_REFERENCE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10498

### NOTATION_NODE

NOTATION_NODE: number

Inherited from Node.NOTATION_NODE

Overrides Node.NOTATION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10499

### Node

Node: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10504

#### Type declaration

- ##### constructor: function

  - new __type(): Node
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10505

    #### Returns Node

- ##### ATTRIBUTE_NODE: number

- ##### CDATA_SECTION_NODE: number

- ##### COMMENT_NODE: number

- ##### DOCUMENT_FRAGMENT_NODE: number

- ##### DOCUMENT_NODE: number

- ##### DOCUMENT_POSITION_CONTAINED_BY: number

- ##### DOCUMENT_POSITION_CONTAINS: number

- ##### DOCUMENT_POSITION_DISCONNECTED: number

- ##### DOCUMENT_POSITION_FOLLOWING: number

- ##### DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number

- ##### DOCUMENT_POSITION_PRECEDING: number

- ##### DOCUMENT_TYPE_NODE: number

- ##### ELEMENT_NODE: number

- ##### ENTITY_NODE: number

- ##### ENTITY_REFERENCE_NODE: number

- ##### NOTATION_NODE: number

- ##### PROCESSING_INSTRUCTION_NODE: number

- ##### TEXT_NODE: number

- ##### prototype: Node

### PROCESSING_INSTRUCTION_NODE

PROCESSING_INSTRUCTION_NODE: number

Inherited from Node.PROCESSING_INSTRUCTION_NODE

Overrides Node.PROCESSING_INSTRUCTION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10500

### TEXT_NODE

TEXT_NODE: number

Inherited from Node.TEXT_NODE

Overrides Node.TEXT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10501

### assignedSlot

assignedSlot: HTMLSlotElement | null

Overrides Slotable.assignedSlot

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4776

### attributes

attributes: NamedNodeMap

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4777

### baseURI

baseURI: string

Inherited from Node.baseURI

Overrides Node.baseURI

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10385

Returns node's node document's document base URL.

### childElementCount

childElementCount: number

Inherited from ParentNode.childElementCount

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10799

### childNodes

childNodes: NodeListOf<ChildNode>

Inherited from Node.childNodes

Overrides Node.childNodes

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10389

Returns the children.

### children

children: HTMLCollection

Inherited from ParentNode.children

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10803

Returns the child elements.

### classList

classList: DOMTokenList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4782

Allows for manipulation of element's class content attribute as a set of whitespace-separated tokens through a DOMTokenList object.

### className

className: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4787

Returns the value of element's class content attribute. Can be set to change it.

### clientHeight

clientHeight: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4788

### clientLeft

clientLeft: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4789

### clientTop

clientTop: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4790

### clientWidth

clientWidth: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4791

### firstChild

firstChild: ChildNode | null

Inherited from Node.firstChild

Overrides Node.firstChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10393

Returns the first child.

### firstElementChild

firstElementChild: Element | null

Inherited from ParentNode.firstElementChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10807

Returns the first child that is an element, and null otherwise.

### id

id: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4796

Returns the value of element's id content attribute. Can be set to change it.

### innerHTML

innerHTML: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4797

### isConnected

isConnected: boolean

Inherited from Node.isConnected

Overrides Node.isConnected

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10397

Returns true if node is connected and false otherwise.

### lastChild

lastChild: ChildNode | null

Inherited from Node.lastChild

Overrides Node.lastChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10401

Returns the last child.

### lastElementChild

lastElementChild: Element | null

Inherited from ParentNode.lastElementChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10811

Returns the last child that is an element, and null otherwise.

### localName

localName: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4801

Returns the local name.

### namespaceURI

namespaceURI: string | null

Overrides Node.namespaceURI

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4805

Returns the namespace.

### nextElementSibling

nextElementSibling: Element | null

Inherited from NonDocumentTypeChildNode.nextElementSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10615

Returns the first following sibling that is an element, and null otherwise.

### nextSibling

nextSibling: Node | null

Inherited from Node.nextSibling

Overrides Node.nextSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10407

Returns the next sibling.

### nodeName

nodeName: string

Inherited from Node.nodeName

Overrides Node.nodeName

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10430

Returns a string appropriate for the type of node, as follows: Element Its HTML-uppercased qualified name. Attr Its qualified name. Text "#text". CDATASection "#cdata-section". ProcessingInstruction Its target. Comment "#comment". Document "#document". DocumentType Its name. DocumentFragment "#document-fragment".

### nodeType

nodeType: number

Inherited from Node.nodeType

Overrides Node.nodeType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10431

### nodeValue

nodeValue: string | null

Inherited from Node.nodeValue

Overrides Node.nodeValue

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10432

### onfullscreenchange

onfullscreenchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4806

### onfullscreenerror

onfullscreenerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4807

### outerHTML

outerHTML: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4808

### ownerDocument

ownerDocument: Document | null

Inherited from Node.ownerDocument

Overrides Node.ownerDocument

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10437

Returns the node document. Returns null for documents.

### parentElement

parentElement: HTMLElement | null

Inherited from Node.parentElement

Overrides Node.parentElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10441

Returns the parent element.

### parentNode

parentNode: Node & ParentNode | null

Inherited from Node.parentNode

Overrides Node.parentNode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10445

Returns the parent.

### prefix

prefix: string | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4812

Returns the namespace prefix.

### previousElementSibling

previousElementSibling: Element | null

Inherited from NonDocumentTypeChildNode.previousElementSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10620

Returns the first preceding sibling that is an element, and null otherwise.

### previousSibling

previousSibling: Node | null

Inherited from Node.previousSibling

Overrides Node.previousSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10449

Returns the previous sibling.

### scrollHeight

scrollHeight: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4813

### scrollLeft

scrollLeft: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4814

### scrollTop

scrollTop: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4815

### scrollWidth

scrollWidth: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4816

### shadowRoot

shadowRoot: ShadowRoot | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4820

Returns element's shadow root, if any, and if shadow root's mode is "open", and null otherwise.

### slot

slot: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4825

Returns the value of element's slot content attribute. Can be set to change it.

### tagName

tagName: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4829

Returns the HTML-uppercased qualified name.

### textContent

textContent: string | null

Inherited from Node.textContent

Overrides Node.textContent

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10450

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4925

  #### Type parameters

  - #### K: keyof ElementEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Element, ev: ElementEventMap[K]): any

      - #### Parameters

        - ##### this: Element

        - ##### ev: ElementEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4926

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### after

- after(...nodes: (string | Node)[]): void

- Inherited from ChildNode.after

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3196

  Inserts nodes just after node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### animate

- animate(keyframes: Keyframe[] | PropertyIndexedKeyframes | null, options?: number | KeyframeAnimationOptions): Animation

- Inherited from Animatable.animate

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1729

  #### Parameters

  - ##### keyframes: Keyframe[] | PropertyIndexedKeyframes | null

  - ##### Optional options: number | KeyframeAnimationOptions

  #### Returns Animation

### append

- append(...nodes: (string | Node)[]): void

- Inherited from ParentNode.append

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10818

  Inserts nodes after the last child of node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### appendChild

- appendChild<T>(newChild: T): T

- Inherited from Node.appendChild

  Overrides Node.appendChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10451

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  #### Returns T

### attachShadow

- attachShadow(shadowRootInitDict: ShadowRootInit): ShadowRoot

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4833

  Creates a shadow root for element and returns it.

  #### Parameters

  - ##### shadowRootInitDict: ShadowRootInit

  #### Returns ShadowRoot

### before

- before(...nodes: (string | Node)[]): void

- Inherited from ChildNode.before

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3202

  Inserts nodes just before node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### cloneNode

- cloneNode(deep?: undefined | false | true): Node

- Inherited from Node.cloneNode

  Overrides Node.cloneNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10455

  Returns a copy of node. If deep is true, the copy also includes the node's descendants.

  #### Parameters

  - ##### Optional deep: undefined | false | true

  #### Returns Node

### closest

- closest<K>(selector: K): HTMLElementTagNameMap[K] | null
- closest<K>(selector: K): SVGElementTagNameMap[K] | null
- closest(selector: string): Element | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4837

  Returns the first (starting at element) inclusive ancestor that matches selectors, and null otherwise.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selector: K

  #### Returns HTMLElementTagNameMap[K] | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4838

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selector: K

  #### Returns SVGElementTagNameMap[K] | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4839

  #### Parameters

  - ##### selector: string

  #### Returns Element | null

### compareDocumentPosition

- compareDocumentPosition(other: Node): number

- Inherited from Node.compareDocumentPosition

  Overrides Node.compareDocumentPosition

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10456

  #### Parameters

  - ##### other: Node

  #### Returns number

### contains

- contains(other: Node | null): boolean

- Inherited from Node.contains

  Overrides Node.contains

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10460

  Returns true if other is an inclusive descendant of node, and false otherwise.

  #### Parameters

  - ##### other: Node | null

  #### Returns boolean

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  Overrides EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getAnimations

- getAnimations(): Animation[]

- Inherited from Animatable.getAnimations

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1730

  #### Returns Animation[]

### getAttribute

- getAttribute(qualifiedName: string): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4843

  Returns element's first attribute whose qualified name is qualifiedName, and null if there is no such attribute otherwise.

  #### Parameters

  - ##### qualifiedName: string

  #### Returns string | null

### getAttributeNS

- getAttributeNS(namespace: string | null, localName: string): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4848

  Returns element's attribute whose namespace is namespace and local name is localName, and null if there is no such attribute otherwise.

  #### Parameters

  - ##### namespace: string | null

  - ##### localName: string

  #### Returns string | null

### getAttributeNames

- getAttributeNames(): string[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4853

  Returns the qualified names of all element's attributes. Can contain duplicates.

  #### Returns string[]

### getAttributeNode

- getAttributeNode(name: string): Attr | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4854

  #### Parameters

  - ##### name: string

  #### Returns Attr | null

### getAttributeNodeNS

- getAttributeNodeNS(namespaceURI: string, localName: string): Attr | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4855

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns Attr | null

### getBoundingClientRect

- getBoundingClientRect(): ClientRect | DOMRect

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4856

  #### Returns ClientRect | DOMRect

### getClientRects

- getClientRects(): ClientRectList | DOMRectList

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4857

  #### Returns ClientRectList | DOMRectList

### getElementsByClassName

- getElementsByClassName(classNames: string): HTMLCollectionOf<Element>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4858

  #### Parameters

  - ##### classNames: string

  #### Returns HTMLCollectionOf<Element>

### getElementsByTagName

- getElementsByTagName<K>(qualifiedName: K): HTMLCollectionOf<HTMLElementTagNameMap[K]>
- getElementsByTagName<K>(qualifiedName: K): HTMLCollectionOf<SVGElementTagNameMap[K]>
- getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4859

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### qualifiedName: K

  #### Returns HTMLCollectionOf<HTMLElementTagNameMap[K]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4860

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### qualifiedName: K

  #### Returns HTMLCollectionOf<SVGElementTagNameMap[K]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4861

  #### Parameters

  - ##### qualifiedName: string

  #### Returns HTMLCollectionOf<Element>

### getElementsByTagNameNS

- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>
- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>
- getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4862

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/1999/xhtml"

  - ##### localName: string

  #### Returns HTMLCollectionOf<HTMLElement>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4863

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### localName: string

  #### Returns HTMLCollectionOf<SVGElement>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4864

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns HTMLCollectionOf<Element>

### getRootNode

- getRootNode(options?: GetRootNodeOptions): Node

- Inherited from Node.getRootNode

  Overrides Node.getRootNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10464

  Returns node's shadow-including root.

  #### Parameters

  - ##### Optional options: GetRootNodeOptions

  #### Returns Node

### hasAttribute

- hasAttribute(qualifiedName: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4868

  Returns true if element has an attribute whose qualified name is qualifiedName, and false otherwise.

  #### Parameters

  - ##### qualifiedName: string

  #### Returns boolean

### hasAttributeNS

- hasAttributeNS(namespace: string | null, localName: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4872

  Returns true if element has an attribute whose namespace is namespace and local name is localName.

  #### Parameters

  - ##### namespace: string | null

  - ##### localName: string

  #### Returns boolean

### hasAttributes

- hasAttributes(): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4876

  Returns true if element has attributes, and false otherwise.

  #### Returns boolean

### hasChildNodes

- hasChildNodes(): boolean

- Inherited from Node.hasChildNodes

  Overrides Node.hasChildNodes

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10468

  Returns whether node has children.

  #### Returns boolean

### hasPointerCapture

- hasPointerCapture(pointerId: number): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4877

  #### Parameters

  - ##### pointerId: number

  #### Returns boolean

### insertAdjacentElement

- insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4878

  #### Parameters

  - ##### position: InsertPosition

  - ##### insertedElement: Element

  #### Returns Element | null

### insertAdjacentHTML

- insertAdjacentHTML(where: InsertPosition, html: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4879

  #### Parameters

  - ##### where: InsertPosition

  - ##### html: string

  #### Returns void

### insertAdjacentText

- insertAdjacentText(where: InsertPosition, text: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4880

  #### Parameters

  - ##### where: InsertPosition

  - ##### text: string

  #### Returns void

### insertBefore

- insertBefore<T>(newChild: T, refChild: Node | null): T

- Inherited from Node.insertBefore

  Overrides Node.insertBefore

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10469

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  - ##### refChild: Node | null

  #### Returns T

### isDefaultNamespace

- isDefaultNamespace(namespace: string | null): boolean

- Inherited from Node.isDefaultNamespace

  Overrides Node.isDefaultNamespace

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10470

  #### Parameters

  - ##### namespace: string | null

  #### Returns boolean

### isEqualNode

- isEqualNode(otherNode: Node | null): boolean

- Inherited from Node.isEqualNode

  Overrides Node.isEqualNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10474

  Returns whether node and otherNode have the same properties.

  #### Parameters

  - ##### otherNode: Node | null

  #### Returns boolean

### isSameNode

- isSameNode(otherNode: Node | null): boolean

- Inherited from Node.isSameNode

  Overrides Node.isSameNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10475

  #### Parameters

  - ##### otherNode: Node | null

  #### Returns boolean

### lookupNamespaceURI

- lookupNamespaceURI(prefix: string | null): string | null

- Inherited from Node.lookupNamespaceURI

  Overrides Node.lookupNamespaceURI

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10476

  #### Parameters

  - ##### prefix: string | null

  #### Returns string | null

### lookupPrefix

- lookupPrefix(namespace: string | null): string | null

- Inherited from Node.lookupPrefix

  Overrides Node.lookupPrefix

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10477

  #### Parameters

  - ##### namespace: string | null

  #### Returns string | null

### matches

- matches(selectors: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4884

  Returns true if matching selectors against element's root yields element, and false otherwise.

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

### msGetRegionContent

- msGetRegionContent(): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4885

  #### Returns any

### normalize

- normalize(): void

- Inherited from Node.normalize

  Overrides Node.normalize

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10481

  Removes empty exclusive Text nodes and concatenates the data of remaining contiguous exclusive Text nodes into the first of their nodes.

  #### Returns void

### prepend

- prepend(...nodes: (string | Node)[]): void

- Inherited from ParentNode.prepend

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10825

  Inserts nodes before the first child of node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### querySelector

- querySelector<K>(selectors: K): HTMLElementTagNameMap[K] | null
- querySelector<K>(selectors: K): SVGElementTagNameMap[K] | null
- querySelector<E>(selectors: string): E | null

- Inherited from ParentNode.querySelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10830

  Returns the first element that is a descendant of node that matches selectors.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns HTMLElementTagNameMap[K] | null

- Inherited from ParentNode.querySelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10831

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns SVGElementTagNameMap[K] | null

- Inherited from ParentNode.querySelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10832

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns E | null

### querySelectorAll

- querySelectorAll<K>(selectors: K): NodeListOf<HTMLElementTagNameMap[K]>
- querySelectorAll<K>(selectors: K): NodeListOf<SVGElementTagNameMap[K]>
- querySelectorAll<E>(selectors: string): NodeListOf<E>

- Inherited from ParentNode.querySelectorAll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10837

  Returns all element descendants of node that match selectors.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<HTMLElementTagNameMap[K]>

- Inherited from ParentNode.querySelectorAll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10838

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<SVGElementTagNameMap[K]>

- Inherited from ParentNode.querySelectorAll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10839

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns NodeListOf<E>

### releasePointerCapture

- releasePointerCapture(pointerId: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4886

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### remove

- remove(): void

- Inherited from ChildNode.remove

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3206

  Removes node.

  #### Returns void

### removeAttribute

- removeAttribute(qualifiedName: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4890

  Removes element's first attribute whose qualified name is qualifiedName.

  #### Parameters

  - ##### qualifiedName: string

  #### Returns void

### removeAttributeNS

- removeAttributeNS(namespace: string | null, localName: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4894

  Removes element's attribute whose namespace is namespace and local name is localName.

  #### Parameters

  - ##### namespace: string | null

  - ##### localName: string

  #### Returns void

### removeAttributeNode

- removeAttributeNode(attr: Attr): Attr

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4895

  #### Parameters

  - ##### attr: Attr

  #### Returns Attr

### removeChild

- removeChild<T>(oldChild: T): T

- Inherited from Node.removeChild

  Overrides Node.removeChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10482

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### oldChild: T

  #### Returns T

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4927

  #### Type parameters

  - #### K: keyof ElementEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Element, ev: ElementEventMap[K]): any

      - #### Parameters

        - ##### this: Element

        - ##### ev: ElementEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4928

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### replaceChild

- replaceChild<T>(newChild: Node, oldChild: T): T

- Inherited from Node.replaceChild

  Overrides Node.replaceChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10483

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: Node

  - ##### oldChild: T

  #### Returns T

### replaceWith

- replaceWith(...nodes: (string | Node)[]): void

- Inherited from ChildNode.replaceWith

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3212

  Replaces node with nodes, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### requestFullscreen

- requestFullscreen(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4899

  Displays element fullscreen and resolves promise when done.

  #### Returns Promise<void>

### scroll

- scroll(options?: ScrollToOptions): void
- scroll(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4900

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4901

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### scrollBy

- scrollBy(options?: ScrollToOptions): void
- scrollBy(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4902

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4903

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### scrollIntoView

- scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4904

  #### Parameters

  - ##### Optional arg: boolean | ScrollIntoViewOptions

  #### Returns void

### scrollTo

- scrollTo(options?: ScrollToOptions): void
- scrollTo(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4905

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4906

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### setAttribute

- setAttribute(qualifiedName: string, value: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4910

  Sets the value of element's first attribute whose qualified name is qualifiedName to value.

  #### Parameters

  - ##### qualifiedName: string

  - ##### value: string

  #### Returns void

### setAttributeNS

- setAttributeNS(namespace: string | null, qualifiedName: string, value: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4914

  Sets the value of element's attribute whose namespace is namespace and local name is localName to value.

  #### Parameters

  - ##### namespace: string | null

  - ##### qualifiedName: string

  - ##### value: string

  #### Returns void

### setAttributeNode

- setAttributeNode(attr: Attr): Attr | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4915

  #### Parameters

  - ##### attr: Attr

  #### Returns Attr | null

### setAttributeNodeNS

- setAttributeNodeNS(attr: Attr): Attr | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4916

  #### Parameters

  - ##### attr: Attr

  #### Returns Attr | null

### setPointerCapture

- setPointerCapture(pointerId: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4917

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### toggleAttribute

- toggleAttribute(qualifiedName: string, force?: undefined | false | true): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4923

  If force is not given, "toggles" qualifiedName, removing it if it is present and adding it if it is not present. If force is true, adds qualifiedName. If force is false, removes qualifiedName. Returns true if qualifiedName is now present, and false otherwise.

  #### Parameters

  - ##### qualifiedName: string

  - ##### Optional force: undefined | false | true

  #### Returns boolean

### webkitMatchesSelector

- webkitMatchesSelector(selectors: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4924

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

Generated using TypeDoc